Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
dump_arg Struct Reference

## Data Fields
VALUE | str
VALUE | dest
st_table * | symbols
st_table * | data
st_table * | compat_tbl
st_table * | encodings
int | infection

## Detailed Description

Definition at line 136 of file marshal.c.

## Field Documentation

st_table* dump_arg::compat_tbl

Definition at line 140 of file marshal.c.

Referenced by clear_dump_arg(), mark_dump_arg(), marshal_dump(), w_class(), and w_object().

st_table* dump_arg::data

Definition at line 139 of file marshal.c.

Referenced by clear_dump_arg(), mark_dump_arg(), marshal_dump(), and w_object().

VALUE dump_arg::dest

Definition at line 137 of file marshal.c.

Referenced by marshal_dump(), and w_nbyte().

st_table* dump_arg::encodings

Definition at line 141 of file marshal.c.

Referenced by clear_dump_arg(), marshal_dump(), and w_encoding().

int dump_arg::infection

Definition at line 142 of file marshal.c.

Referenced by marshal_dump(), w_nbyte(), and w_object().

VALUE dump_arg::str

Definition at line 137 of file marshal.c.

Referenced by mark_dump_arg(), marshal_dump(), and w_nbyte().

st_table* dump_arg::symbols

Definition at line 138 of file marshal.c.

Referenced by check_dump_arg(), clear_dump_arg(), mark_dump_arg(), marshal_dump(), and w_symbol().

The documentation for this struct was generated from the following file:

- marshal.c